<!DOCTYPE html>
<html lang="ko">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>반응형 자바스크립트</title>
<link rel="stylesheet" type="text/css" href="./mystyle.css" />
<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
<!--[if IE 9]>
<script type="text/javascript" src="./matchMedia.js"></script>
<script type="text/javascript" src="./matchMedia.addListener.js"></script>
<![endif]-->
<!--[if lte IE 8]>
<script type="text/javascript" src="./media.match.min.js"></script>
<script type="text/javascript" src="./css3-mediaqueries.js"></script>
<![endif]-->
<script type="text/javascript">
//<![CDATA[
$(function () {
	var mql = window.matchMedia("screen and (max-width: 768px)");
	mql.addListener(function(e) {
	    if(e.matches) {
	    	console.log('모바일 화면 입니다.');
	    } else {
	    	console.log('데스크탑 화면 입니다.');
	    }
	});
});
//]]>
</script>
</head>
<body>
<h3>반응형 자바스크립트</h3>
<pre style="overflow:auto;border:solid 1px black;">
&lt;link rel="stylesheet" type="text/css" href="./mystyle.css" /&gt;
&lt;script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.min.js"&gt;&lt;/script&gt;
&lt;!--[if IE 9]&gt;
&lt;script type="text/javascript" src="./matchMedia.js"&gt;&lt;/script&gt;
&lt;script type="text/javascript" src="./matchMedia.addListener.js"&gt;&lt;/script&gt;
&lt;![endif]--&gt;
&lt;!--[if lte IE 8]&gt;
&lt;script type="text/javascript" src="./media.match.min.js"&gt;&lt;/script&gt;
&lt;script type="text/javascript" src="./css3-mediaqueries.js"&gt;&lt;/script&gt;
&lt;![endif]--&gt;
&lt;script type="text/javascript"&gt;
//&lt;![CDATA[
$(function () {
	var mql = window.matchMedia("screen and (max-width: 768px)");
	mql.addListener(function(e) {
	    if(e.matches) {
	    	console.log('모바일 화면 입니다.');
	    } else {
	    	console.log('데스크탑 화면 입니다.');
	    }
	});
});
//]]&gt;
&lt;/script>
</pre>
</body>
</html>